Subject: Re: bug#78945: 30.1; C-x 4 4 and C-x 5 5 do not work with `dired-mouse-find-file'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Jul 2025 09:09:49 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 09 Jul 2025 17:44:36 -0400
> 
> >> > @@ -9673,9 +9680,9 @@ display-buffer-override-next-command
> >> >                       ;; But don't remove immediately after
> >> >                       ;; adding the hook by the same command below.
> >> >                       (eq this-command command)
> >> > -                     ;; Don't exit on mouse down event
> >> > -                     ;; in anticipation of mouse release event.
> >> > -                     (memq 'down (event-modifiers last-input-event)))
> >> > +                     ;; Don't exit on mouse down event in anticipation
> >> > +                     ;; of mouse release or double click event.
> >> > +                     (mouse-event-p last-input-event))
> >> >                (funcall exitfun))))
> >> >      ;; Call post-function after the next command finishes (bug#49057).
> >> >      (add-hook 'post-command-hook postfun)
> >> 
> >> LGTM.
> >
> > Does this mean any mouse-click command will cause the next command
> > also be affected by "C-x 4 4" and friends?
> 
> Sometimes, yes.  But only when the mouse-click command did not itself
> use `display-buffer`.

I wonder how we could document this in user-facing terms, so that
users would know what to expect from using these prefixes.  Any ideas
or suggestions?